pub fn show_area_query(a: &Option<i32>, first: bool) -> ::askama::Result<String> {
    let char = if first {
        '?'
    } else {
        '&'
    };

    if let Some(a) = a {
        return Ok(format!("{}area={}", char, a));
    } else {
        return Ok(String::new());
    }
}

pub fn cond_show(show: &bool, text: &str) -> askama::Result<String> {
    return if *show {
        Ok(String::from(text))
    } else {
        Ok(String::new())
    }
}

pub fn invert(b: &bool) -> askama::Result<bool> {
    return Ok(!b);
}
